> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyenrich.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Enrichment

> Enrich company information based on company name or website



## OpenAPI

````yaml POST /company
openapi: 3.1.0
info:
  title: AnyEnrich API V1
  description: Enrich anything
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://anyenrich.com/v1/enrich
security:
  - bearerAuth: []
paths:
  /company:
    post:
      description: Enrich company information based on company name or website
      requestBody:
        description: Company enrichment object
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyEnrichmentRequest'
        required: true
      responses:
        '200':
          description: Company enrichment response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyEnrichmentResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CompanyEnrichmentRequest:
      type: object
      properties:
        name:
          description: |-
            Name of the company you want to enrich. 
            You must include either a company name or a website.
          type: string
        website:
          description: |-
            Website of the company you want to enrich. 
            You must include either a company name or a website.
          type: string
        firmographic:
          description: |-
            Request firmographic data for the company you want to enrich. 

             Consumes 1 credit.
          type: boolean
        query:
          description: |-
            Request AI queries you want to include in the enrichment request.
             You can use natural language to describe the query and our AI will do the rest.

            Consumes 1 Credit
          type: string
    CompanyEnrichmentResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the enrichment request
        status:
          type: string
          enum:
            - success
            - info_not_found
        credits_used:
          type: integer
          description: Number of credits used for the enrichment request
        credits_remaining:
          type: integer
          description: Number of credits remaining for the enrichment request
        firmographic:
          type: object
          description: Firmographic data that was enriched
          nullable: true
          properties:
            name:
              type: string
              description: Name of the company, null if information not found
              nullable: true
            industry:
              type: string
              description: >-
                Industry classification of the company, null if information not
                found
              nullable: true
            description:
              type: string
              description: Short description of the company, null if information not found
              nullable: true
            revenue:
              type: number
              description: >-
                Annual revenue range of the company, null if information not
                found
              nullable: true
            company_size:
              type: number
              description: >-
                Employee count range of the company, null if information not
                found
              nullable: true
            location:
              type: object
              description: Location of the company, null if information not found
              nullable: true
              properties:
                country:
                  type: string
                  description: Country where the company is headquartered
                  nullable: true
                state:
                  type: string
                  description: State where the company is headquartered
                  nullable: true
                city:
                  type: string
                  description: City where the company is headquartered
                  nullable: true
        query_response:
          type: string
          description: >-
            Response to any additional enrichment queries, empty if no query was
            provided
          nullable: true
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````